> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Income Statement

> Current and historical income statements of publicly listed companies

## 利润表

**URL**: `/v1/stock/company-income-statement`
**方法**: `POST`\
**描述**: 获取公司利润表数据。

### 请求参数

| 参数名             | 类型  | 必填 | 描述                                                |
| --------------- | --- | -- | ------------------------------------------------- |
| symbol          | str | 是  | 股票代码。                                             |
| period          | str | 否  | 报告周期：`annual`、`quarterly`、`cumulative quarterly`。 |
| limit           | int | 否  | 返回最近 N 条记录，默认 8。                                  |
| start\_date     | str | 否  | 开始日期（YYYY-MM-DD）。                                 |
| end\_date       | str | 否  | 结束日期（YYYY-MM-DD）。                                 |
| calendar        | str | 否  | `calendar` 或 `fiscal`，默认 `fiscal`。                |
| fiscal\_year    | str | 否  | 指定财年（如 `2023`）。                                   |
| fiscal\_quarter | str | 否  | 指定财季（Q1, Q2, Q3, Q4, FY, H1, `Q3 (9 months)`）。    |

### 响应参数

| 参数名                                                                             | 类型     | 描述                   |
| ------------------------------------------------------------------------------- | ------ | -------------------- |
| status                                                                          | int    | HTTP 状态码。            |
| code                                                                            | int    | 响应代码（0 表示成功）。        |
| message                                                                         | str    | 响应消息。                |
| data                                                                            | array  | 利润表数据列表。             |
|   currency                                                                      | str    | 货币单位。                |
|   end\_date                                                                     | str    | 报告期结束日期（YYYY-MM-DD）。 |
|   symbol                                                                        | str    | 股票代码。                |
|   fiscal\_year                                                                  | str    | 财年。                  |
|   fiscal\_quarter                                                               | str    | 财季。                  |
|   period                                                                        | str    | 报告周期类型。              |
|   filling\_date                                                                 | str    | 填报日期（YYYY-MM-DD）。    |
|   total\_revenue                                                                | object | 总收入。                 |
|     total\_revenue                                                              | number | 总收入金额。               |
|     operating\_revenue                                                          | number | 营业收入。                |
|     interest\_income                                                            | number | 利息收入。                |
|     net\_fee\_and\_commission\_revenue                                          | number | 手续费及佣金净收入。           |
|     other\_revenue                                                              | number | 其他收入。                |
|   operating\_cost                                                               | object | 营业成本。                |
|     operating\_cost                                                             | number | 营业成本金额。              |
|     interest\_expenses                                                          | number | 利息支出。                |
|     fees\_and\_commission\_expenses                                             | number | 手续费及佣金支出。            |
|   gross\_profit                                                                 | object | 毛利润。                 |
|     gross\_profit                                                               | number | 毛利润金额。               |
|     selling\_expenses                                                           | number | 销售费用。                |
|     general\_and\_administrative\_expenses                                      | number | 一般及行政费用。             |
|     research\_and\_development\_expense                                         | number | 研发费用。                |
|     financial\_expenses                                                         | number | 财务费用。                |
|     financing\_income                                                           | number | 融资收入。                |
|     financing\_cost                                                             | number | 融资成本。                |
|     share\_of\_profits\_of\_associates\_and\_joint\_ventures                    | number | 联营及合营企业利润份额。         |
|     investment\_income                                                          | number | 投资收益。                |
|     other\_operating\_income                                                    | number | 其他营业收入。              |
|   profit\_before\_tax                                                           | object | 税前利润。                |
|     profit\_before\_tax                                                         | number | 税前利润金额。              |
|     income\_tax\_expense                                                        | number | 所得税费用。               |
|   net\_profit                                                                   | object | 净利润。                 |
|     net\_profit                                                                 | number | 净利润金额。               |
|     net\_profit\_attributable\_to\_owners\_of\_the\_parent                      | number | 归属母公司净利润。            |
|     net\_profit\_attributable\_to\_non\_controlling\_interests                  | number | 归属非控股权益净利润。          |
|     non\_ifrs\_net\_profit                                                      | number | 非国际财报准则净利润。          |
|     non\_ifrs\_net\_profit\_attributable\_to\_owners\_of\_the\_parent           | number | 非国际财报准则归属母公司净利润。     |
|   total\_comprehensive\_income                                                  | object | 综合收益总额。              |
|     total\_comprehensive\_income                                                | number | 综合收益总额。              |
|     total\_comprehensive\_income\_attributable\_to\_owners\_of\_the\_parent     | number | 归属母公司综合收益总额。         |
|     total\_comprehensive\_income\_attributable\_to\_non\_controlling\_interests | number | 归属非控股权益综合收益总额。       |
|   earnings\_per\_share                                                          | object | 每股收益。                |
|     basic\_earnings\_per\_share                                                 | number | 基本每股收益。              |
|     diluted\_earnings\_per\_share                                               | number | 稀释每股收益。              |

### 请求示例

**cURL**

```bash theme={null}
curl -X POST https://api.reportify.cn/v1/stock/company-income-statement \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
    "symbol": "00700",
    "limit": 2
}'
```

**Python**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/stock/company-income-statement"
headers = {
    "Authorization": "Bearer 447460****09c9",
    "Content-Type": "application/json"
}
data = {
    "symbol": "00700",
    "limit": 2
}

response = requests.post(url, headers=headers, json=data)
print(response.json())
```

### 响应示例

```json theme={null}
{
  "status": 200,
  "code": 0,
  "message": "",
  "data": [
    {
      "currency": "CNY",
      "end_date": "2025-09-30",
      "symbol": "00700",
      "fiscal_year": "2025",
      "fiscal_quarter": "Q3",
      "period": "quarterly",
      "filling_date": "2025-11-13",
      "total_revenue": {
        "total_revenue": 192869000000.0,
        "operating_revenue": 192869000000.0,
        "interest_income": 0.0,
        "net_fee_and_commission_revenue": 0.0,
        "other_revenue": 0.0
      },
      "operating_cost": {
        "operating_cost": 84071000000.0,
        "interest_expenses": 0.0,
        "fees_and_commission_expenses": 0.0
      },
      "gross_profit": {
        "gross_profit": 108798000000.0,
        "selling_expenses": 11468000000.0,
        "general_and_administrative_expenses": 34259000000.0,
        "research_and_development_expense": 0.0,
        "financial_expenses": -500000000.0,
        "financing_income": 4256000000.0,
        "financing_cost": 3756000000.0,
        "share_of_profits_of_associates_and_joint_ventures": 7854000000.0,
        "investment_income": 2820000000.0,
        "other_operating_income": 483000000.0
      },
      "profit_before_tax": {
        "profit_before_tax": 74728000000.0,
        "income_tax_expense": 9785000000.0
      },
      "net_profit": {
        "net_profit": 64943000000.0,
        "net_profit_attributable_to_owners_of_the_parent": 63133000000.0,
        "net_profit_attributable_to_non_controlling_interests": 1810000000.0,
        "non_ifrs_net_profit": 72796000000.0,
        "non_ifrs_net_profit_attributable_to_owners_of_the_parent": 70551000000.0
      },
      "total_comprehensive_income": {
        "total_comprehensive_income": 77030000000.0,
        "total_comprehensive_income_attributable_to_owners_of_the_parent": 76499000000.0,
        "total_comprehensive_income_attributable_to_non_controlling_interests": 531000000.0
      },
      "earnings_per_share": {
        "basic_earnings_per_share": 6.949,
        "diluted_earnings_per_share": 6.756
      }
    }
  ]
}
```

### 错误响应

| 状态码 | 描述        |
| --- | --------- |
| 422 | 请求参数验证失败。 |


## OpenAPI

````yaml POST /v1/stock/company-income-statement
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/stock/company-income-statement:
    post:
      tags:
        - openapi-v2-stock
      summary: Company Income Statement
      description: Current and historical income statements of publicly listed companies
      operationId: >-
        company_income_statement_reportify_api_v2_stock_company_income_statement_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyIncomeStatementInput'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StockAPIResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    CompanyIncomeStatementInput:
      properties:
        symbol:
          type: string
          title: Symbol
          description: Stock symbol
        period:
          type: string
          title: Period
          description: 'Report cycle: ''annual'', ''quarterly'', ''cumulative quarterly'''
        limit:
          type: integer
          title: Limit
          description: Return latest N records, default 8
        start_date:
          type: string
          title: Start Date
          description: Start date (YYYY-MM-DD)
        end_date:
          type: string
          title: End Date
          description: End date (YYYY-MM-DD)
        calendar:
          type: string
          title: Calendar
          description: '''calendar'' or ''fiscal'', default ''fiscal'''
        fiscal_year:
          type: string
          title: Fiscal Year
          description: Specific fiscal year (e.g., '2023')
        fiscal_quarter:
          type: string
          title: Fiscal Quarter
          description: Specific fiscal quarter (Q1, Q2, Q3, Q4, FY, H1, 'Q3 (9 months)')
      type: object
      required:
        - symbol
      title: CompanyIncomeStatementInput
      description: Input schema for company income statement
    StockAPIResponse:
      properties:
        status:
          type: integer
          title: Status
          description: HTTP status code
        code:
          type: integer
          title: Code
          description: Response code (0 for success)
        message:
          type: string
          title: Message
          description: Response message
        data:
          type: object
          title: Data
          description: Response data (structure varies by endpoint)
      type: object
      title: StockAPIResponse
      description: Generic response wrapper from stock API
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````